Description

Hi !

I find it unclear for the user that user-installed plugins and built-in plugins are not differentiated at all.

Problems :

- hard for the user to understand why a plugin can be uninstalled why another can't

- it feels like someone already installed a lot of plugins when you may actually work on a fresh and clean install

- this is made even worse when some of the built-in plugins are invalid

Possible solutions:

A. (easy) : list the system plugins at the bottom of the list, with a separator between the user plugins and the system plugins

B. (medium) : add a "system plugins" tab alongside "All","Installed",etc. This would make sense since a built-in plugin is not actually

"installed" (at least not by the user)

Thanks for the great plugin manager ;)

Olivier

History

#1 - 2014-01-22 11:03 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-10-24 08:36 PM - Borys Jurgiel

- Description updated

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in commit:87d087bbfdb0

As the number of core plugins is decreasing and we're going to remove them all some day (implementing as non-plugin core functions), I didn't create any

new tabs. Instead, there is a color bar stating "This is a system plugin, so you can't uninstall it" on top of the plugin description (similarly to all those "This is

a trusted plugin" etc.

#4 - 2017-10-25 10:58 AM - Harrissou Santanna
Borys, how about using "Core plugin" instead of "system plugin"? This is how they are called all over the documentation 

http://docs.qgis.org/testing/en/docs/user_manual/plugins/core_plugins.html.

#5 - 2017-10-25 08:44 PM - Borys Jurgiel

Harrissou Santanna wrote:

Borys, how about using "Core plugin" instead of "system plugin"? This is how they are called all over the documentation 

http://docs.qgis.org/testing/en/docs/user_manual/plugins/core_plugins.html.

Ah, thanks a lot! How could I forget the right term... Apparently I'm getting old :)

Fixed in commit:1c8803c5e1bf5f

Btw. Any fixes to my wording are always welcome!
